Bug 1413378 - redhat-virtualization-host is missing for 4.1.0-0.3.beta2.el7.
Summary: redhat-virtualization-host is missing for 4.1.0-0.3.beta2.el7.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node-ng
Version: 4.1.0
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ovirt-4.1.0-rc
: ---
Assignee: Ryan Barry
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-15 15:01 UTC by Nikolai Sednev
Modified: 2019-04-28 13:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-16 14:11:27 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)

Description Nikolai Sednev 2017-01-15 15:01:27 UTC
Description of problem:
redhat-virtualization-host is missing for 4.1.0-0.3.beta2.el7. 
Can't install redhat-virtualization-host on engine.

Version-Release number of selected component (if applicable):
rhevm-spice-client-x64-msi-4.1-2.el7ev.noarch
rhevm-dependencies-4.1.0-0.1.alpha.gite3bec5a.el7ev.noarch
rhevm-spice-client-x86-msi-4.1-2.el7ev.noarch
rhevm-branding-rhev-4.1.0-0.0.master.20161128195345.el7ev.noarch
rhevm-4.1.0-0.3.beta2.el7.noarch
rhevm-doc-4.1.0-0.0.master.201611252145.el7ev.noarch
rhev-guest-tools-iso-4.1-3.el7ev.noarch
rhevm-guest-agent-common-1.0.12-3.el7ev.noarch
rhevm-setup-plugins-4.1.0-0.1.alpha.20161130141652.el7ev.noarch
Linux version 3.10.0-514.el7.x86_64 (mockbuild@x86-039.build.eng.bos.redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-11) (GCC) ) #1 SMP Wed Oct 19 11:24:13 EDT 2016
Linux 3.10.0-514.el7.x86_64 #1 SMP Wed Oct 19 11:24:13 EDT 2016 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 7.3 (Maipo)


How reproducible:
100%

Steps to Reproduce:
1.On engine deployed from latest 4.1.0-0.3 over NFS, try to install redhat-virtualization-host.
2.
3.

Actual results:
The package is missing.

Expected results:
Package should be in repos.

Additional info:

Comment 2 Sandro Bonazzola 2017-01-16 07:57:08 UTC
Nikolai, as far as I know redhat-virtualization-host is not meant to be installed. 
Any reason for installing it?

Ryan can you please add more info here?

Comment 4 Nikolai Sednev 2017-01-16 10:15:26 UTC
(In reply to Sandro Bonazzola from comment #2)
> Nikolai, as far as I know redhat-virtualization-host is not meant to be
> installed. 
> Any reason for installing it?
> 
> Ryan can you please add more info here?

I wanted to follow the same steps for upgrading my NGN hosts from the engine via WEBUI, just as we had them before with "vintage" RHEVHs. 
Running "yum install -y redhat-virtualization-host" on engine does not helps as the package is not there.

Comment 5 Nikolai Sednev 2017-01-16 10:16:28 UTC
Returning the need-infor for Ryan.

Comment 6 Ryan Barry 2017-01-16 14:11:27 UTC
The method for upgrading NGN hosts from engine is simply to wait for an update to be available on the hosts (which must be registered to RHSM).

It is not possible to install an image update on the engine and push it to hosts with NGN.


Note You need to log in before you can comment on or make changes to this bug.